---
title: "Deletes a tier no price or holder refers to."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › product

`DELETE /v1/stores/{store}/products/{product}/tiers/{tier}`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `product:delete`

## Path parameters

- `store` (`deleteTier.path.store`; string, required) — The store's id.
- `product` (`deleteTier.path.product`; string, required) — An id, or `slug:<slug>`.
  - minLength 1
- `tier` (`deleteTier.path.tier`; string, required)
  - minLength 1

## Header parameters

- `Idempotency-Key` (`deleteTier.header.Idempotency-Key`; string, optional) — Repeats within 24 hours answer the first result; the same key with other arguments is a conflict.
  - minLength 1; maxLength 255; pattern `^[\x21-\x7E]+$`

## Code samples

### cURL

```bash
curl --request DELETE \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/tiers/<tier>' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/tiers/<tier>';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/tiers/<tier>"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

## Responses

### 200

Deletes a tier no price or holder refers to.

#### Example

```json
{
  "id": "string",
  "deleted": true
}
```

- `id` (`deleteTier.response.200.id`; string, required)
- `deleted` (`deleteTier.response.200.deleted`; boolean, required)

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`deleteTier.response.default.type`; string, required)
  - format `uri`
- `title` (`deleteTier.response.default.title`; string, required)
- `status` (`deleteTier.response.default.status`; integer, required)
- `detail` (`deleteTier.response.default.detail`; string, required)
- `code` (`deleteTier.response.default.code`; string, optional)
- `context` (`deleteTier.response.default.context`; object, optional)
- `reached_core` (`deleteTier.response.default.reached_core`; boolean, optional)
- `core_answer` (`deleteTier.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/delete-tier/index.md
